<%
'#################################################################################
'## Copyright (C) 2000-01 Michael Anderson and Pierre Gorissen
'## 
'## This program is free software; you can redistribute it and/or
'## modify it under the terms of the GNU General Public License
'## as published by the Free Software Foundation; either version 2
'## of the License, or any later version.
'##
'## All copyright notices regarding Snitz Forums 2000
'## must remain intact in the scripts and in the outputted HTML
'## The "powered by" text/logo with a link back to 
'## http://forum.snitz.com in the footer of the pages MUST
'## remain visible when the pages are viewed on the internet or intranet.
'## 
'## This program is distributed in the hope that it will be useful,
'## but WITHOUT ANY WARRANTY; without even the implied warranty of
'## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'## GNU General Public License for more details.
'## 
'## You should have received a copy of the GNU General Public License
'## along with this program; if not, write to the Free Software
'## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'## 
'## Support can be obtained from support forums at:
'## http://forum.snitz.com 
'##
'## Correspondence and Marketing Questions can be sent to:
'## reinhold@bigfoot.com
'## 
'## or
'## 
'## Snitz Communications 
'## C/O: Michael Anderson
'## PO Box 200
'## Harpswell, ME 04079
'#################################################################################


'#################################################################################
' This file is intended for inclusion in other files (i.e. those files not including config.asp)
' It's used in testemailcomponent.asp
' Be sure to keep the end part of config.asp and this file in parallel.
' Mod writers may like to include this if they don't use config.asp. This time your Language
' file may be named like Lang<MODNAME><LCID>.asp, e.g. LangMyNiceModName1033.asp. Do not forget to 
' change the includes at the end of the file then.
'#################################################################################

'### start of multi language support initialization code
'===== DO NOT CHANGE THESE ======================================================== 
Const blnLangDebug = False	' Set this to TRUE to see dumps of language variables. Default: FALSE
' ARRAY for supported language specifications. 
' First dimension is for different languages supported. Index 0 is reserved for Default Language
' Second dimension keeps the values for a specific language
' It's not advised to add more than two languages as it might slow your server performance.
DIM arrLang (5,10)			' Attention, 5 is a very large number !
DIM strLangDefaultCode		' Default Language Code
DIM intLangDefaultIndex		' Default Language's Index
DIM strLangPrefCode			' User Selected (preferred) Language Code
DIM intLangPrefIndex		' User Selected (preferred) Language Index
DIM strLangAppliedCode		' Result Language Code to be applied
DIM intLangAppliedIndex		' Result Language Code's Index to be applied
DIM strLangCharSet			' Result Language Code related charset
DIM strLangLCID				' Result Language Code related LCID value
DIM intLangIndexCount		' Counter for supported (i.e included) Language Files
intLangIndexCount = 0		' reset to zero (meaning none included yet)
strUniqueID = "Snitz00"
strLangPrefCode		= Request.Cookies(strUniqueID & "Lang")
intLangDefaultIndex	= 0
%>
<!--#INCLUDE FILE="inc_language.asp" -->
<%
intLangPrefIndex	= LangFindIndex (strLangPrefCode)
strLangAppliedCode	= LangAppliedCode()
call LangDebug("===== inc_langshort.asp-1")

'===== YOU CAN CUSTOMIZE BELOW THIS LINE =========================================== 
Const blnLangSupport = True	' Controls Multi Language Support and the selector in menu. Default: FALSE

'==  SINGLE LANGUAGE SUPPORT
' To support only one language, do the following:
' 1. Set the blnLangSupport to FALSE (its around 40 lines above)
' 2. Change the code NNNN (LCID code) in the include LangNNNN.asp below, be sure it exists
' 2. Remove the # signs infront of the include(s) in the 
'    MULTIPLE SIMULTANEOUS LANGUAGE SUPPORT section below
' NOTE: This is also the default language in Multi Language case
%>
<!--#INCLUDE FILE="Lang1033.asp" -->
<%
'==  MULTIPLE SIMULTANEOUS LANGUAGE SUPPORT
' To support two user selectable languages, do the following:
' 1. Set the blnLangSupport to TRUE (its around 10 lines above)
' 2. Put a # sign infront of the include(s) just below
' 3. Change the code NNNN (LCID code) in the alternative Language include LangNNNN.asp below, be sure it exists
if blnLangSupport then
%>
<!--#INCLUDE FILE="Lang1055.asp" -->
<!--INCLUDE FILE="Lang0000.asp" -->
<%
'===== DO NOT CHANGE THESE ======================================================== 
end if
strLangDefaultCode	= arrLang (intLangDefaultIndex,0)
intLangPrefIndex	= LangFindIndex (strLangPrefCode)
strLangAppliedCode	= LangAppliedCode()
call LangDebug("===== inc_langshort.asp-2")
'### end of multi language support initialization code
'==================================================================================== 
%>
